Bug 151247 - Missing kickstart file in rhel-i386-ws-4 ".discinfo"
Missing kickstart file in rhel-i386-ws-4 ".discinfo"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
rhn360
All Linux
high Severity high
: ---
: ---
Assigned To: Chris MacLeod
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 06:47 EST by Clifford Perry
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 09:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clifford Perry 2005-03-16 06:47:18 EST
Description of problem:
When running Satellite Sync (initial import) of the rhel-i386-ws-4 channel, it
fails when it attempts to get the kickstart files. 

Version-Release number of selected component (if applicable):


How reproducible:
Ran the test twice - failed twice - will always fail till we fix it. 


Steps to Reproduce:
1. [root@rlx-1-10 root]# satellite-sync -crhel-i386-ws-4
2.
3.
  
Actual results:
[root@rlx-1-10 root]# host satellite.rhn.redhat.com
satellite.rhn.redhat.com has address 209.132.177.190
[root@rlx-1-10 root]# satellite-sync -crhel-i386-ws-4
06:45:03 Red Hat Network Satellite - live synchronization
06:45:03    url: https://satellite.rhn.redhat.com
06:45:03    debug/output level: 1
06:45:03    db:  rhnsat/<password>@rhnsat
06:45:03
06:45:03 Retrieving / parsing channel-families data
06:45:04 channel-families data complete
06:45:07
06:45:07 Retrieving / parsing arches data
06:45:08 arches data complete
06:45:08
06:45:08 Retrieving / parsing additional arches data
06:45:09 additional arches data complete
06:45:09
06:45:09 Retrieving / parsing channel data
06:45:42    p = previously imported/synced channel
06:45:42    . = channel not yet imported/synced
06:45:42    base-channels:
06:45:42       p rhel-i386-ws-4                           1558
06:45:42
06:45:42 Channel data complete
06:45:42
06:45:42 Retrieving / parsing blacklists data
06:45:43 blacklists data complete
06:45:43
06:45:43 Retrieving short package metadata (used for indexing)
06:45:43    Retrieving / parsing short package metadata: rhel-i386-ws-4 (1558)
06:45:45 Diffing package metadata (what's missing locally?): rhel-i386-ws-4
            ________________________________________
Diffing:    ######################################## - complete
06:45:51
06:45:51 Downloading rpm packages
06:45:51    Fetching any missing RPMs: rhel-i386-ws-4 (NONE MISSING)
06:45:51 Processing rpm packages complete
06:45:51 No handler for step srpms
06:45:51
06:45:51 Downloading package metadata
06:45:51    Retrieving / parsing *relevant* package metadata: rhel-i386-ws-4
(NONE RELEVANT)
06:45:51
06:45:51 Downloading errata data
06:45:51    Retrieving / parsing errata data: rhel-i386-ws-4 (0)
06:45:51 Downloading errata data complete
06:45:51
06:45:51 Downloading kickstartable trees metadata
06:45:51    Retrieving / parsing kickstart data: rhel-i386-ws-4 (1)
            ________________________________________
Downloading:######################################## - complete
06:45:52
06:45:52 Downloading kickstartable trees files
06:45:52    Retrieving / parsing kickstart tree files: rhel-i386-ws-4 (63)
            ________________________________________
Downloading:+++ sending log as an email +++
 
SYNC ERROR: unhandled exception occurred:
 
(Check logs/email for potentially more detail)
 
<Fault -2101: '\nError Message:\n    Kickstart file .discinfo not found in tree
ks-rhel-i386-ws-4\nError Class Code: 2101\nError Class Info: Could not find
kickstart file\nExplanation: \n     An error has occurred while processing your
request. If this problem\n     persists please enter a bug report at
bugzilla.redhat.com.\n     If you choose to submit the bug report, please be
sure to include\n     details of what you were trying to do when this error
occurred and\n     details on how to reproduce this problem.\n'>
<Fault -2101: '\nError Message:\n    Kickstart file .discinfo not found in tree
ks-rhel-i386-ws-4\nError Class Code: 2101\nError Class Info: Could not find
kickstart file\nExplanation: \n     An error has occurred while processing your
request. If this problem\n     persists please enter a bug report at
bugzilla.redhat.com.\n     If you choose to submit the bug report, please be
sure to include\n     details of what you were trying to do when this error
occurred and\n     details on how to reproduce this problem.\n'>
 
[root@rlx-1-10 root]#


Expected results:


Additional info:
Comment 1 Chris MacLeod 2005-03-16 16:08:30 EST
Is this still a bug?  Saw some very mixed results that it worked then it didn't
then it did so I have no clue what the status on this.

The file exists in production.
as well as in the production database.
Comment 2 Clifford Perry 2005-03-16 16:30:55 EST
As off 2 minutes ago - yes - this is still an issue for me using
rlx-1-10.rhndev.redhat.com. See output below showing time/date, IP address that
satellite.rhn.redhat.com resolves to and the exact command line options used for
satellite-sync to sync the rhel 4 i386 WS channel which fails getting to the
kickstart tree and ".diskinfo" file. 

Cliff. 

[root@rlx-1-10 root]# cat /etc/resolv.conf
; generated by /sbin/dhclient-script
search rhndev.redhat.com
nameserver 172.16.52.28
nameserver 172.16.52.27
[root@rlx-1-10 root]# ntpdate -o 1 172.16.52.28
16 Mar 16:26:40 ntpdate[17255]: adjust time server 172.16.52.28 offset -0.001144
 sec
[root@rlx-1-10 root]# date
Wed Mar 16 16:26:42 EST 2005
[root@rlx-1-10 root]# host satellite.rhn.redhat.com
satellite.rhn.redhat.com has address 209.132.177.190
[root@rlx-1-10 root]# satellite-sync -crhel-i386-ws-4
16:27:08 Red Hat Network Satellite - live synchronization
16:27:08    url: https://satellite.rhn.redhat.com
16:27:08    debug/output level: 1
16:27:08    db:  rhnsat/<password>@rhnsat
16:27:08
16:27:08 Retrieving / parsing channel-families data
16:27:08 channel-families data complete
16:27:12
16:27:12 Retrieving / parsing arches data
16:27:13 arches data complete
16:27:13
16:27:13 Retrieving / parsing additional arches data
16:27:13 additional arches data complete
16:27:13
16:27:13 Retrieving / parsing channel data
16:27:47    p = previously imported/synced channel
16:27:47    . = channel not yet imported/synced
16:27:47    base-channels:
16:27:47       p rhel-i386-ws-4                           1568
16:27:47
16:27:47 Channel data complete
16:27:47
16:27:47 Retrieving / parsing blacklists data
16:27:48 blacklists data complete
16:27:48
16:27:48 Retrieving short package metadata (used for indexing)
16:27:48    Retrieving / parsing short package metadata: rhel-i386-ws-4 (1568)
16:27:50 Diffing package metadata (what's missing locally?): rhel-i386-ws-4
            ________________________________________
Diffing:    ######################################## - complete
16:27:56
16:27:56 Downloading rpm packages
16:27:56    Fetching any missing RPMs: rhel-i386-ws-4 (NONE MISSING)
16:27:56 Processing rpm packages complete
16:27:56 No handler for step srpms
16:27:56
16:27:56 Downloading package metadata
16:27:56    Retrieving / parsing *relevant* package metadata: rhel-i386-ws-4
(NONE RELEVANT)
16:27:56
16:27:56 Downloading errata data
16:27:56    Retrieving / parsing errata data: rhel-i386-ws-4 (0)
16:27:56 Downloading errata data complete
16:27:56
16:27:56 Downloading kickstartable trees metadata
16:27:57    Retrieving / parsing kickstart data: rhel-i386-ws-4 (1)
            ________________________________________
Downloading:######################################## - complete
16:27:57
16:27:57 Downloading kickstartable trees files
16:27:57    Retrieving / parsing kickstart tree files: rhel-i386-ws-4 (63)
            ________________________________________
Downloading:+++ sending log as an email +++

SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

<Fault -2101: '\nError Message:\n    Kickstart file .discinfo not found in tree
ks-rhel-i386-ws-4\nError Class Code: 2101\nError Class Info: Could not find
kickstart file\nExplanation: \n     An error has occurred while processing your
request. If this problem\n     persists please enter a bug report at
bugzilla.redhat.com.\n     If you choose to submit the bug report, please be
sure to include\n     details of what you were trying to do when this error
occurred and\n     details on how to reproduce this problem.\n'>
<Fault -2101: '\nError Message:\n    Kickstart file .discinfo not found in tree
ks-rhel-i386-ws-4\nError Class Code: 2101\nError Class Info: Could not find
kickstart file\nExplanation: \n     An error has occurred while processing your
request. If this problem\n     persists please enter a bug report at
bugzilla.redhat.com.\n     If you choose to submit the bug report, please be
sure to include\n     details of what you were trying to do when this error
occurred and\n     details on how to reproduce this problem.\n'>

[root@rlx-1-10 root]#

Traceback Email contents:

From: rhn-satellite@redhat.com
To: cperry@redhat.com
Subject: RHN Management Satellite sync. report from rlx-1-10.rhndev.redhat.com
Date: Wed, 16 Mar 2005 16:27:58 -0500
16:27:57 
SYNC ERROR: unhandled exception occurred:

Exception reported from rlx-1-10.rhndev.redhat.com
Time: Wed Mar 16 16:27:57 2005
Exception type xmlrpclib.Fault

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 134, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 155, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 253, in
_step_download_kickstarts
    return self.syncer.download_kickstarts()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1272, in
download_kickstarts
    stream = self._get_ks_file_stream(label, relative_path)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 1300, in
_get_ks_file_stream
    return srv.getKickstartFileStream(kstree_label, relative_path)
  File "/usr/share/rhn/satellite_tools/xmlWireSource.py", line 266, in
getKickstartFileStream
    raise e
Fault: <Fault -2101: '\nError Message:\n    Kickstart file .discinfo not found
in tree ks-rhel-i386-ws-4\nError Class Code: 2101\nError Class Info: Could not
find kickstart file\nExplanation: \n     An error has occurred while processing
your request. If this problem\n     persists please enter a bug report at
bugzilla.redhat.com.\n     If you choose to submit the bug report, please be
sure to include\n     details of what you were trying to do when this error
occurred and\n     details on how to reproduce this problem.\n'>

Note You need to log in before you can comment on or make changes to this bug.